Public Member Functions | Public Attributes | List of all members
libebook::PeanutPressHeader Struct Reference

## Public Member Functions
| PeanutPressHeader ()

## Public Attributes
unsigned | nonTextRecordStart
unsigned | imageCount
unsigned | footnoteCount
unsigned | sidebarCount
unsigned | imageDataRecordStart
unsigned | metadataRecordStart
unsigned | footnoteRecordStart
unsigned | sidebarRecordStart
unsigned | lastDataRecord
Compression | compression
bool | hasMetadata
bool | is202Header

## Constructor & Destructor Documentation

## ◆ PeanutPressHeader()

libebook::PeanutPressHeader::PeanutPressHeader | ( |  | ) |

## Member Data Documentation

## ◆ compression

Compression libebook::PeanutPressHeader::compression

## ◆ footnoteCount

unsigned libebook::PeanutPressHeader::footnoteCount

## ◆ footnoteRecordStart

unsigned libebook::PeanutPressHeader::footnoteRecordStart

## ◆ hasMetadata

bool libebook::PeanutPressHeader::hasMetadata

## ◆ imageCount

unsigned libebook::PeanutPressHeader::imageCount

## ◆ imageDataRecordStart

unsigned libebook::PeanutPressHeader::imageDataRecordStart

## ◆ is202Header

bool libebook::PeanutPressHeader::is202Header

## ◆ lastDataRecord

unsigned libebook::PeanutPressHeader::lastDataRecord

## ◆ metadataRecordStart

unsigned libebook::PeanutPressHeader::metadataRecordStart

## ◆ nonTextRecordStart

unsigned libebook::PeanutPressHeader::nonTextRecordStart

## ◆ sidebarCount

unsigned libebook::PeanutPressHeader::sidebarCount

## ◆ sidebarRecordStart

unsigned libebook::PeanutPressHeader::sidebarRecordStart

The documentation for this struct was generated from the following file:

- PeanutPressParser.cpp